﻿body {
    padding-top: 3px;
    padding-left: 11px;
    padding-right: 11px;
    position: relative;
}

.page_header {
    width: 100%;
    padding-bottom: 0px;
    background-color: #C1BBB4;
    border-radius: 8px;
    border-color: darkgray;
    border-width: 1px;
    border-style: solid;
    margin-bottom: 14px;
}

.logo-main {
    display: block;
    position: relative;
    top: 20%;
    margin-left: auto;
    margin-right: auto;
    margin-top: auto;
    margin-bottom: auto;
    height: 60%;
}

/* 06-14-19 JBS */
.logo-small {
    padding: 0px;
    max-height: 50px;
    display: block;
}

.content {
    /*background-color: white;*/
    border-radius: 8px;
    border-color: silver;
    border-width: 2px;
    border-style: solid;
    padding: 0px;
}

.content-inner {
    padding: 8px;
    height: calc(100% - 30px);
}

.footer {
    color: black;
    /*background: #0047BB;*/
    background: var(--default-background-color);
    border-radius: 10px;
    /*margin-top: 10px;*/
    margin-bottom: 4px;
    padding: 8px;
    font-style: italic;
    font-size: 8pt;
}


.table-no-border > thead > tr > th,
.table-no-border > tbody > tr > th,
.table-no-border > tfoot > tr > th,
.table-no-border > thead > tr > td,
.table-no-border > tbody > tr > td,
.table-no-border > tfoot > tr > td {
    border-top: none;
}

.table-tight > thead > tr > th,
.table-tight > tbody > tr > th,
.table-tight > tfoot > tr > th,
.table-tight > thead > tr > td,
.table-tight > tbody > tr > td,
.table-tight > tfoot > tr > td {
    padding: 2px;
}


.panel-title-large {
    margin-top: 0;
    margin-bottom: 0;
    font-size: 20px;
    color: white;
}

.textwarning {
    font-weight: bold;
    font-size: 9pt;
    color: red;
    font-family: Arial, Helvetica, sans-serif;
    text-align: left;
}

.full-width {
    width: 100%;
}

.welcome-panel {
    text-align: right;
    font-size: 9pt;
    padding-top: 8px;
    padding-right: 8px;
    font-style: italic;
    color: #0047BB;
}

.welcome-label {
    font-size: 8pt;
}

.welcome-name {
    font-weight: bold;
}

.welcome-since {
    font-style: italic;
}

.panel-min-body {
    min-height: 400px;
}

.text-center {
    text-align: center;
}

.datagridheader {
    font-size: 10pt;
    font-family: Arial;
    background-color: #666666;
    color: white;
    width: 100%;
}

    .datagridheader a /* this element formats the column heading when sortable */ {
        color: White;
    }

        .datagridheader a:visited {
            color: White;
        }

        .datagridheader a:hover {
            color: #280200;
        }

        .datagridheader a:active {
            color: #280200;
        }

.datagridrow {
    background-color: white;
    font-size: 10pt;
    width: 100%;
    color: black;
    font-family: Arial;
}

    .datagridrow caption {
        color: #000000;
        text-align: left;
        font-weight: bold;
        font-family: arial, Helvetica, sans-serif;
        font-size: 11pt;
    }

.datagridalternaterow {
    background-color: #DFDFDF;
    color: black;
    font-size: 10pt;
    font-family: Arial;
    width: 100%;
}

.datagridselectedrow {
    font-size: 10pt;
    width: 100%;
    font-family: Arial;
    background-color: var(--primary-background-light);
    color: white;
}

.datagridrow div.bootstrap-datetimepicker-widget {
    color: initial;
}

/*09-07-22 JBS*/
table.datagridrow.compact tr:not(.gridpagerstyle) td {
    padding-left: 4px;
    padding-right: 8px;
}

    table.datagridrow.compact tr:not(.gridpagerstyle) td:last-child {
        width: 100%;
        text-align: left;
    }

    table.datagridrow.compact tr td:last-child span {
        text-align: left;
        margin-left: 6px;
    }

.gridpagerstyle {
    font-family: Arial;
    background-color: black;
    color: #00529C;
    font-size: 10pt;
    font-weight: bold;
    text-align: center;
    width: 100%;
}
    /* the following formats the current page number */
    .gridpagerstyle span {
        color: black;
        background: #00529C; /* 07-08-16 JJF - changed from 3D3365 */
        font-weight: bolder;
        font-size: 11pt;
        text-align: center;
    }

.gridlinkbutton:link {
    color: #00529C;
    font-weight: bold;
    text-decoration: underline;
}

.gridlinkbutton:visited {
    color: #00529C;
    font-weight: bold;
    text-decoration: underline;
}

.gridlinkbutton-inactive:link {
    color: #CB3B32;
    font-weight: bold;
    text-decoration: underline;
}

.gridlinkbutton-inactive:visited {
    color: #CB3B32;
    font-weight: bold;
    text-decoration: underline;
}

table.ContentTable {
    width: 100%;
    border-width: 0px;
    border-spacing: 0px;
    font-family: Arial, Helvetica, sans-serif;
}

td.fieldlabel {
    text-align: right;
    width: 136px;
}

td.fieldlabelveryshort {
    text-align: right;
    width: 48px;
}

td.normal {
    padding: 2px 8px 2px 8px;
}

td.normalveryshort {
    width: 88px;
}

td.normalshort {
    width: 120px;
}

td.right {
    text-align: right;
}

td.suffix {
    text-align: left;
    width: 200px;
    padding-left: 8px;
}

td.searchsuffix {
    text-align: left;
    width: 100px;
    font-style: italic;
    color: #CC3300;
    font-size: 9pt;
}

td.fieldlabelhalf {
    text-align: right;
    width: 50%;
}

td.half {
    width: 50%;
}

.textboxdataentry {
    border: 1px solid #C0C0C0;
    width: 100%;
    font-family: Arial, Helvetica, sans-serif;
    font-size: 10pt;
}

.textboxdate {
    border: 1px solid #C0C0C0;
    width: 80px;
    font-family: Arial, Helvetica, sans-serif;
    font-size: 10pt;
}

.textboxhalf {
    border: 1px solid #C0C0C0;
    width: 50%;
    font-family: Arial, Helvetica, sans-serif;
    font-size: 10pt;
}

.textboxthreerows {
    font-size: 10pt;
    width: 100%;
    font-family: Arial, Helvetica, sans-serif;
    height: 60pt;
    text-align: left;
}

.textboxdataentrysmall {
    border: 1px solid #C0C0C0;
    font-size: 10pt;
    width: 50px;
    font-family: Arial, Helvetica, sans-serif;
}

.textboxReadOnly {
    border: none;
    font-family: Arial, Helvetica, sans-serif;
    font-size: 10pt;
    font-style: italic;
}

.textwarning {
    font-weight: bold;
    font-size: 9pt;
    color: red;
    font-family: Arial, Helvetica, sans-serif;
    text-align: left;
}

.lstSmall label {
    text-indent: 8px;
    white-space: nowrap;
    vertical-align: middle;
    font-size: 9pt;
    font-weight: normal;
}

.search-panel {
    padding: 8px;
    margin-bottom: 8px;
}

.form-control-other {
    display: block;
    width: 100%;
    height: 30px;
    padding: 6px 12px 6px 6px;
    font-size: 14px;
    line-height: 1.42857143;
    color: #555;
    /*'04-21-21 DCV*/
    /*background-color: #fff;*/
    background-color: none;
    background-image: none;
}

.rbl label {
    font-family: Arial, Helvetica, sans-serif;
    font-weight: normal;
    font-size: 9pt;
    padding-left: 4pt;
    padding-right: 12pt;
}

.rbl td {
    padding-right: 4px;
    padding-left: 4px;
}

.menubar {
    text-align: center;
    padding: 0px;
}

.menubar-pad-small {
    text-align: center;
    padding: 4px;
}

.menubar .small {
    width: 80px;
}

.menubar .medium {
    width: 120px;
}

.menubar .large {
    width: 200px;
}

.menubar-top {
    text-align: center;
    padding: 0px;
    padding-bottom: 12px;
}

.lblFieldDisplaySmall {
    font-family: Arial, Helvetica, sans-serif;
    font-size: 8pt;
    /*06-25-21 RRE*/
    line-height: 1.5;
}

.lblFieldDisplay {
    font-family: Arial, Helvetica, sans-serif;
    font-size: 10pt;
    font-weight: bold;
}

.lblFieldDisplayLarge {
    font-family: Arial, Helvetica, sans-serif;
    font-size: 18pt;
    font-weight: bold;
}

.cal .ajax__calendar_container {
    background-color: #e2e2e2;
    border: 1px solid #cccccc;
    width: 190px;
}

.cal .ajax__calendar_header {
    background-color: #ffffff;
    margin-bottom: 4px;
}

.cal .ajax__calendar_title,
.cal .ajax__calendar_next,
.cal .ajax__calendar_prev {
    color: #004080;
    padding-top: 3px;
}

.cal .ajax__calendar_body {
    background-color: #e9e9e9;
    border: 1px solid #cccccc;
    width: 170px;
}

.cal .ajax__calendar_dayname {
    text-align: center;
    font-weight: bold;
    margin-bottom: 4px;
    margin-top: 2px;
}

.cal .ajax__calendar_day {
    text-align: center;
}

.cal .ajax__calendar_hover .ajax__calendar_day,
.cal .ajax__calendar_hover .ajax__calendar_month,
.cal .ajax__calendar_hover .ajax__calendar_year,
.cal .ajax__calendar_active {
    color: #004080;
    font-weight: bold;
    background-color: #ffffff;
}

.cal .ajax__calendar_today {
    font-weight: bold;
    color: #004080;
}

.cal .ajax__calendar_other,
.cal .ajax__calendar_hover .ajax__calendar_today,
.cal .ajax__calendar_hover .ajax__calendar_title {
    color: #bbbbbb;
}

.rowOdd {
    padding-top: 2px;
    padding-bottom: 2px;
}

.rowEven {
    padding-top: 2px;
    padding-bottom: 2px;
    background-color: #FAFAFA;
}

.select_client {
    /*width: 300px;*/
    margin-left: 10px;
    font-style: italic;
    color: #0047BB;
}


/* "tabs" */
table.tabs {
    width: 100%;
    padding: 0;
    text-align: center;
    color: #0d274a;
}

td.tab {
    /*06-17-19 JBS*/
    /*width: 33%;*/
    height: 26px;
}

.tab_button {
    color: #0d274a;
    font-size: x-small;
    padding: 4px;
    border-radius: 12px 12px 0px 0px;
    border-style: inset;
    height: 36px;
    width: 100%;
    font-size: 9pt;
    /*06-17-19 JBS*/
    padding: 0 15px;
}

    .tab_button:disabled { /* this is the current tab*/
        background: #0047BB;
        color: white;
        font-weight: bold;
        /*border-style: outset;
        border-color: white;*/
        border-style: inset;
        border-color: #C0C0C0;
        border-bottom-style: none;
    }

.tab_content {
    width: 100%;
    border-right: inset 2px #C0C0C0;
    border-bottom: inset 2px #C0C0C0;
    border-left: outset 2px #C0C0C0;
    /*06-17-19 JBS*/
    border-top: outset 2px #C0C0C0;
    border-radius: 0px 0px 6px 6px;
    min-height: 400px;
    padding: 12px;
}

.chart_dashboard {
    width: 1800px;
    border: 1px;
}

.text-bold {
    font-weight: bold;
}

/* Job Schedule form
.job_schedule {
    font-size: 8pt;
}
.wide_content {
    width: 4200px;
}
.vertical_scroll {
    overflow-y: auto;
    height: 400px;
    background-color: antiquewhite ;
}
.row_filler {
    height: 40px;
}
.fixed_left {
    display: inline-block;
    width: 200px;
    overflow-x: scroll;
    font-size: 8pt;
}
.fixed_right {
    display: inline-block;
    width: calc(100% - 220px); 
    overflow-x: auto;
}
.job_schedule_column {
    font-size: 8pt;
    text-align: right;
    width: 120px;
}
.job_schedule_column_last {
    font-size: 8pt;
    text-align: right;
}
.job_foreman{
    font-size: 8pt;
    width: 140px;
}

*/

/* WIDE form elements */
.full-outer-scroll {
    width: 100%;
    overflow: auto;
}

.left-top {
    display: inline-block;
    width: 200px;
    overflow: hidden;
    /*padding: 1px;*/
}

.left-bottom {
    display: inline-block;
    width: 200px;
    height: 450px;
    overflow-y: hidden;
    overflow-x: scroll;
    /*padding: 1px;*/
}

    .left-top.job-fixed,
    .left-bottom.job-fixed {
        width: 510px;
    }

.left-inner {
    padding: 0px;
}

.left-detail {
    width: 450px !important;
}

.right-top {
    display: inline-block;
    width: calc(100% - 220px); /*remember padding on container*/
    overflow: hidden;
    padding: 1px;
}

.right-bottom {
    display: inline-block;
    width: calc(100% - 220px); /*remember padding on container*/
    height: 450px;
    overflow: auto;
    /*padding: 1px;*/
}

    .right-top.job-fixed,
    .right-bottom.job-fixed {
        width: calc(100% - 530px)
    }

.right-inner {
    width: 4200px;
}

.right-detail {
    width: calc(100% - 470px) !important;
}

.outer-table,
.job_schedule_table {
    font-size: 8pt;
    padding: 0;
    width: 100%;
}

    .outer-table tr,
    /*.job_schedule_table tr,*/
    .job_schedule_table > tbody > tr {
        border-top: 1px solid #dddddd;
        border-bottom: 1px solid #dddddd;
    }

    .outer-table .header,
    .job_schedule_table .header {
        background-color: #0047BB;
        color: white;
        font-weight: bold;
        border: 0px;
        text-align: center;
    }

        .outer-table .header a,
        .job_schedule_table .header a {
            color: white;
            text-align: center;
            display: block;
            width: 100%;
            border: 1px solid white;
            border-style: inset;
            border-radius: 7px;
        }

        .job_schedule_table .header .evenItem {
            background-color: #3D86F6
        }

    .outer-table td,
    /*.job_schedule_table td,*/
    .job_schedule_table > tbody > tr > td {
        padding-left: 2px;
        padding-top: 4px;
        padding-right: 2px;
        padding-bottom: 4px;
    }

    .outer-table .account-column,
    .job_schedule_table .account-column {
        width: 180px;
        text-align: left;
    }

    .outer-table .job_column,
    .job_schedule_table .job_column {
        width: 200px;
        /*text-align: left;*/
    }

        .outer-table .job_column.job_number {
            width: 70px;
        }

        .outer-table .job_column.job_name {
            width: 220px;
        }

        .outer-table .job_column.large_value {
            width: 80px;
        }

        .outer-table .job_column.small_value {
            width: 60px;
        }

    .outer-table .financials_column,
    .job_schedule_table .financials_column {
        width: 85px;
        text-align: right;
    }

    .outer-table .income_input_column,
    .job_schedule_table .income_input_column {
        width: 85px;
        text-align: right;
    }

    .outer-table .financials_column .form-control-other,
    .job_schedule_table .financials_column .form-control-other {
        padding: 0px !important;
    }

    .outer-table .detail_column,
    .job_schedule_table .detail_column {
        width: 120px;
    }

    .outer-table .income_input_column
    .job_schedule_table .income_input_column {
        width: 110px;
        text-align: right;
    }

    .outer-table .totals_row,
    .job_schedule_table .totals_row,
    .job_schedule_table .totals_row .faux-label {
        background-color: #0171D0;
        color: white;
    }

    .outer-table .side-by-side,
    .job_schedule_table .side-by-side {
        width: 50%;
        display: inline-block;
        padding: 0;
        margin: -2px -1px;
    }

.plain_row > td {
    padding: 0px;
}

/*04-03-19 JBS*/
.icon-button {
    line-height: 1.5;
}

.faux-label,
.faux-label:focus,
.faux-label[disabled] {
    border: 0px;
    box-shadow: none;
    background-color: transparent;
    cursor: default;
}

.align_number,
.align_number input[type=text] {
    text-align: right;
    font-family: monospace;
}

.align_date,
.align_date input[type=text] {
    text-align: center;
    font-family: monospace;
}

.align_text,
.align_text input[type=text] {
    text-align: left;
}

.control-label {
    /*05-25-21 JBS*/
    /*line-height: 2.6;*/
    line-height: 1.5;
}

/* 06-14-19 JBS */
/* animation to draw attention to error message */
.flash {
    text-align: center;
    position: absolute;
    animation-name: flash;
    animation-duration: .125s;
    animation-fill-mode: forwards;
    animation-iteration-count: 2;
    animation-direction: alternate;
}

@keyframes flash {
    to {
        font-size: 15px;
    }
    /*color: transparent;*/
    /*to {color: red;}*/
}


/*07-23-19 JBS*/
.totals_row .outdated {
    color: #aaa !important;
}

.outdated {
    color: #ccc !important;
}

/*07-29-19 JBS*/
.filter-hidden {
    position: relative;
    top: -12px;
    padding: 2px;
}

/*08-02-19 JBS*/
.menubar-left {
    float: left;
    width: 0px;
    overflow: visible;
    display: inline-flex;
}

/*08-05-19 JBS*/
.btn-file {
    position: relative;
    overflow: hidden;
}

    .btn-file input[type=file] {
        position: absolute;
        top: 0;
        right: 0;
        min-width: 100%;
        min-height: 100%;
        font-size: 999px;
        text-align: right;
        filter: alpha(opacity=0);
        opacity: 0;
        outline: none;
        background: white;
        cursor: inherit;
        display: block;
    }

.btn-custom {
    display: inline-block;
}

.panel-primary > .panel-heading {
    mix-blend-mode: normal;
    border-radius: 12px 12px 0px 0px;
}

/*04-14-21 JBS*/
.logo-main-background {
    display: block;
    height: 200px;
    background: url('../images/vendor_1.png');
    background-repeat: round;
}

.btn-select-one {
    color: var(--primary-background-color);
    width: 100%;
}

    .btn-select-one:hover {
        color: var(--secondary-background-color);
    }

    .btn-select-one.selected {
        background-color: var(--primary-background-color);
        color: var(--primary-foreground-color);
    }

/*06-18-21 JBS*/
.warningbar {
    padding-top: 12px;
    padding-bottom: 12px;
    margin-bottom: 8px;
    border: 1px solid var(--secondary-background-color);
}

/* 06-28-21 RRE */
.elapsed {
    font-style: italic;
}



/* 12-17-21 JBS */
/* Paging */
.table-control-panel {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: justify;
    -ms-flex-pack: justify;
    justify-content: space-between;
    padding: 8px 12px;
}

.table-control-item {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-align: baseline;
    -ms-flex-align: baseline;
    align-items: baseline;
    padding: 0 15px;
}

    .table-control-item:last-child {
        margin-left: auto;
    }

    .table-control-item .control-item {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-align: baseline;
        -ms-flex-align: baseline;
        align-items: baseline;
        margin-right: 22px;
    }

        .table-control-item .control-item:last-child {
            margin-right: 0;
        }

    .table-control-item label {
        /*text-transform: uppercase;*/
        /*font-size: 13px;*/
        /*font-weight: 500;*/
        /*font-family: "Barlow", "Arial", "Helvetica Neue", "Helvetica", sans-serif;*/
        /*letter-spacing: .08em;*/
        margin: 0;
    }

    .table-control-item .total-result {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-align: baseline;
        -ms-flex-align: baseline;
        align-items: baseline;
    }

    .table-control-item .total-result--number {
        font-size: 22px;
        /*font-weight: 600;*/
        margin-left: 3px;
        /*letter-spacing: 2px;*/
        /*font-family: "Barlow Semi Condensed", "Arial", "Helvetica Neue", "Helvetica", sans-serif;*/
    }

    .table-control-item .pagination {
        margin: 0 -6px 0 0;
    }

.table-control-item {
    padding: 0;
}

    .table-control-item .control-item {
        margin-right: 55px;
    }

    .table-control-item .pagination {
        margin: 0;
    }

.pagination {
    display: flex;
}

    .pagination .prev,
    .pagination .next {
        padding: 0;
        width: 20px;
    }

        .pagination .prev a,
        .pagination .next a {
            position: relative;
            color: #39abff;
        }

    .pagination .current a,
    .pagination .total a {
        font-size: 22px;
        padding: 0 6px;
    }

    .pagination .prev a:hover,
    .pagination .next a:hover {
        color: #0075cc;
    }

    .pagination .prev a:before,
    .pagination .next a:before {
        font-size: 14px;
        position: relative;
        top: -2px;
    }

    .pagination .prev a:before {
        content: "\e90d";
    }

    .pagination .next a:before {
        content: "\e90e";
    }

    .pagination > li > a {
        line-height: 1;
        padding: 4px 0px;
        background-color: unset;
        border: none;
    }

    .pagination .current:after {
        content: "/";
        font-weight: 500;
        font-size: 21px;
        line-height: 1;
        /*position: absolute;*/
        /*left: 0;*/
        /*top: 50%;*/
        /*transform: translate(-50%, -50%);*/
    }

    .file-drop.max {
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background-color: rgba(0,0,0,0.5);
        z-index: 9999;
        display: flex;
        justify-content: center;
        align-items: center;
        visibility: hidden;
        pointer-events: none;
        opacity: 0;
        transition: opacity 0.3s ease;
    }

    .file-drop.max.visible {
        visibility: visible;
        opacity: 1;
        pointer-events: auto;
    }
